import request from "@/utils/request"; // 你的axios封装

// 【【【【【校友组织列表】】】】】
// 8.15.	创建或编辑组织弹窗中部门树形图列表
export function getQueryOrgTree() {
  return request({
    url: "/api/alumniOrg/queryOrgTree",
    method: "get",
  });
}

// 获取省
export function getProvinceLevel() {
  return request({
    url: "/api/alumniCity/getProvinceLevel",
    method: "get",
  });
}

// 获取市
export function getCityLevel(params) {
  return request({
    url: "/api/alumniCity/getCityLevel",
    method: "get",
    params: params,
  });
}

// 8.16.	导出校友组织数据
export function getAlumniClubExcel(data) {
  return request({
    url: "/api/alumniClub/getAlumniClubExcel",
    method: "post",
    data: data,
  });
}

// 8.1.	获取组织分类下拉列表数据
export function getQueryCategoryDatas() {
  return request({
    url: "/api/alumniCategory/queryCategoryDatas",
    method: "get",
  });
}
// 8.2.	组织分页数据
export function getQueryClubPage(params) {
  return request({
    url: "/api/alumniClub/queryClubPage",
    method: "get",
    params: params,
  });
}
// 8.3.	创建组织
export function insertClubData(data) {
  return request({
    url: "/api/alumniClub/insertClubData",
    method: "post",
    data: data,
  });
}
// 8.4.	更新组织
export function updateClubData(data) {
  return request({
    url: "/api/alumniClub/updateClubData",
    method: "post",
    data: data,
  });
}

// 删除校友相册数据
export function deleteClubById(params) {
  return request({
    url: `/api/alumniClub/deleteClubById`,
    method: "get",
    params: params,
  });
}

// 8.5.	置顶组织
export function clubTopup(data) {
  return request({
    url: `/api/alumniClub/clubTopup`,
    method: "post",
    data: data,
  });
}

// 【【【【【组织分类管理】】】】】】
// 8.7.	获取组织分类分页数据
export function getQueryCategoryPage(params) {
  return request({
    url: "/api/alumniCategory/queryCategoryPage",
    method: "get",
    params: params,
  });
}

// 8.8.	新增组织分类数据
export function insertCategory(data) {
  return request({
    url: "/api/alumniCategory/insertCategory",
    method: "post",
    data: data,
  });
}
// 8.9.	更新组织分类数据
export function updateCategory(data) {
  return request({
    url: "/api/alumniCategory/updateCategory",
    method: "post",
    data: data,
  });
}

// 删除相册分类数据
export function deleteCategory(params) {
  return request({
    url: `/api/alumniCategory/deleteCategory`,
    method: "get",
    params: params,
  });
}

// 【【【【【入会申请审核】】】】】】
// 8.12.	获取审核状态下拉列表数据
export function getQueryPassTypes() {
  return request({
    url: "/api/alumniClub/queryPassTypes",
    method: "get",
  });
}

// 8.13.	组织入会审核分页数据
export function getQueryClubProcessPage(params) {
  return request({
    url: "/api/alumniClubApply/queryClubProcessPage",
    method: "get",
    params: params,
  });
}

// 8.14.	审核入会数据
export function toExamineClub(params) {
  return request({
    url: "/api/alumniClubApply/toExamineClub",
    method: "get",
    params: params,
  });
}

// 8.17.	导出校友入会审核数据
export function getQueryClubProcessExcel(data) {
  return request({
    url: "/api/alumniClubApply/queryClubProcessExcel",
    method: "post",
    data: data,
  });
}
